---------------------------------
-- This SQL will show you the values of bind variables from AWR for a given SQL_ID.
-- Adjust the snap_id,last_captured date, and rownum predicates to limit your output.
---------------------------------
set pagesize 9999 linesize 250 trimsp on verify off
col POSITION        format 999
col DATATYPE_STRING format a20
col NAME            format a10
col VALUE_STRING    format a40
select SNAP_ID, INSTANCE_NUMBER, POSITION,
   LAST_CAPTURED,
   DATATYPE_STRING,
   NAME,
   VALUE_STRING
from DBA_HIST_SQLBIND
where SQL_ID='&sql_id'
and SNAP_ID>=5221
and last_captured >= to_date('2010-03-27 06:03:00','YYYY-MM-DD HH24:MI:SS')
and rownum < 20
order by SNAP_ID, INSTANCE_NUMBER, POSITION
/
